package com.bocloud.ims.interfaces.resource.azure.account;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.account.BatchAccount;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: BatchAccountService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/7/24 14:16
 */
public interface BatchAccountService {

    BocloudResult<GridBean<BatchAccount>> list(Pager pager, RequestContext context);

    BocloudResult<BatchAccount> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(BatchAccount entityParams, RequestContext context);

    BocloudResult<Void> create(BatchAccount entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<Void> changeStorageAccount(BatchAccount entityParams, RequestContext context);

}